Bug 104059 - Wrong symbol in battstat-applet (ACPI)
Wrong symbol in battstat-applet (ACPI)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux Beta
Classification: Retired
Component: gnome-applets (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
: Triaged
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-09-09 11:13 EDT by Kai Thomsen
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-19 08:58:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the bug above. (835 bytes, patch)
2003-09-09 11:15 EDT, Kai Thomsen
no flags Details | Diff

  None (edit)
Description Kai Thomsen 2003-09-09 11:13:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
When using a laptop running on AC power without any batteries inserted, the
Battery Charge Monitor applet displays an exclamation mark ("!") sign, which
indicates a low battery power warning.  It does not detect AC power (which would
be represented by a plug symbol).  The patch attached below should fix this.

Version-Release number of selected component (if applicable):
2.3.7-1

How reproducible:
Always

Steps to Reproduce:
1. Let ACPI-based laptop run on AC power.
2. Remove all batteries.
3. Add Battery Charge Monitor to panel.

Actual Results:  An exclamation mark ("!") sign is displayed next to the battery
symbol.


Expected Results:  A plug symbol should be displayed.

Additional info:
Comment 1 Kai Thomsen 2003-09-09 11:15:13 EDT
Created attachment 94330 [details]
Patch to fix the bug above.
Comment 2 Havoc Pennington 2003-09-21 16:06:32 EDT
Should be sure to report this to bugzilla.gnome.org as well, so the patch is
included in the mainline GNOME sources.
Comment 3 Kai Thomsen 2003-10-07 15:59:48 EDT
It's in GNOME Bugzilla now:

http://bugzilla.gnome.org/show_bug.cgi?id=123548
Comment 4 Mark McLoughlin 2004-07-19 08:58:51 EDT
Fixed in Fedora Core according to the upstream bug

Note You need to log in before you can comment on or make changes to this bug.